<?php
	//++++
	$StrFec=V($_POST['TxtFec']);
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("N");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"N");	
	//
	$StrTde=V($_POST['CboTde']);
	$StrTot=V($_POST['TxtTot']);
	$StrMod=V($_POST['CboMod']);
	$StrObs=V($_POST['TxtObs']);
	$StrNro=V($_POST['TxtNro']);
	$StrTotDol=V($_POST['TxtTotDol']);
	$StrTC=V($_POST['TxtTC']);
	//
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrCmd)==0){
		$StrFec=date("d-m-y");
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNum=$StrId;
		$ANULADO=gs("anu","egresos","id_egreso=$Id");
		$StrFec=gs("DATE_FORMAT(fec,'%d-%m-%y')","vegresos","ID=$Id");		
		$StrEmp=gs("EMPC","vegresos","ID=$Id");		
		$StrAlm=gs("ALM","vegresos","ID=$Id");		
		$StrTde=gs("TDE","vegresos","ID=$Id");		
		$StrTot=gn("TOT","vegresos","ID=$Id");		
		$StrObs=gs("OBS","vegresos","ID=$Id");		
		$StrNro=gs("NRO","vegresos","ID=$Id");	
		$StrMod=gs("eg_mod","egresos","id_egreso=$Id");
		$StrTotDol=gn("eg_tot_dol","egresos","id_egreso=$Id");
		$StrTC=gn("eg_tc","egresos","id_egreso=$Id");
		$LStrFoc="document.getElementById('TxtFec').focus();";		
		$StrGT="S";
	}	
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");
		$StrTde_=gn("id_et","egresos_tipos","nombre='$StrTde'");
		$StrFec_=ToDate($StrFec);
		$StrTotDol_=vbval($StrTotDol);
		$StrTC_=vbval($StrTC);
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			//
			$_ANU="N";
			$_ANU_FEC="1900-01-01";
			$_ANU_HOR="";
			$_ANU_TIM=0;
			$_ANU_USU=0;
			//
			$Id=GenId("id_egreso","egresos");
			$s="INSERT INTO egresos VALUES ($Id,'$StrFec_',$StrAlm_,
				$StrTde_,$StrTot,'$StrObs','$StrNro',
				'$StrMod',$StrTotDol_,$StrTC_,".GetIDU().",'$_ANU',
				'$_ANU_FEC','$_ANU_HOR',$_ANU_TIM,$_ANU_USU)";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="egresos.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","EGRESOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="M"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			$s="UPDATE egresos 
				SET fec='$StrFec_',id_alm=$StrAlm_,id_et=$StrTde_,
				tot=$StrTot,obs='$StrObs',nro='$StrNro',
				eg_mod='$StrMod',eg_tot_dol=$StrTotDol_,
				eg_tc=$StrTC_,eg_id_usu=".GetIDU()." 
				WHERE id_egreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="egresos.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","EGRESOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;
		}
	}
	//++++++++++++++++++++++++++++++++++++++++++++++++++++
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//++++++++++++++++++++++++++++++++++++++++++++++++++++
	if($StrCmd=="A"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$_ANU=gs("anu","egresos","id_egreso=$StrId");
			if($_ANU=="S"){
				$LStrMsg="El presente registro se encuentra anulado por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtFec').focus();";		
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){
			$s="UPDATE egresos SET anu='S' WHERE id_egreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="egresos.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","EGRESOS","ANULAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Registro anulado";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;			
		}		
	}
	//++++++++++++++++++++++++++++++++++++++++++++++++++++
	if($StrCmd=="E"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if($POL_USU_PER_ELI==0){
				$LStrMsg="El usuario no tiene los permisos para esta accion";
				$LStrFoc="document.getElementById('TxtFec').focus();";		
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){
			$_ANU=gs("anu","egresos","id_egreso=$StrId");
			if($_ANU=="S"){
				$LStrMsg="El presente registro se encuentra anulado por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtFec').focus();";		
				$StrGT="S";
			}
		}
		//
		if(strlen($StrGT)==0){
			$s="DELETE FROM egresos WHERE id_egreso=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="egresos.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","EGRESOS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT++	
			$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$LIMPIAR=1;			
		}		
	}
	//++++++++++++++++++++++++++++++++++++++++++++++++++++
	if($LIMPIAR==1){
		$StrId="";
		$StrNum="";
		$StrFec=date("d-m-y");
		$StrTot="";
		$StrObs="";
		$StrNro="";
		$StrTotDol="";
		$StrTC="";
		$StrGT="S";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>